# 港行监管主体服务

## 概述

该项目主要用于维护一个基本的项目结构,是以Spring boot作为骨架，所用maven构建的Java项目.
项目以DDD和整洁架构思想作为技术核心.项目使用Java8作为基础语言,Spring boot2.3.7.RELEASE作为基础依赖.

## 命名规范

1. 所有业务异常以Exception结尾 如ApplicationException
2. domain对象不加任何后缀 例如 User
3. domain的Service对象以I开头以Service结尾 例如 IUserService
4. config层的对象以Config结尾 例如 ServiceConfig
5. 数据库实现的代理类,以domain service名称去掉I,以Impl为后缀 例如 UserServiceImpl
6. controller以Controller结尾 例如 UserController
7. request以Request/Req结尾,response以Response/Res结尾
8. 所有工具类以Util结尾
