package com.shanghaichengdi.ghjgitem.cache;

import com.shanghaichengdi.ghjgitem.service.SysDatashareServiceNewService;
import javax.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 所有预加载的数据可以放在这里
 *
 */
@Configuration
@Slf4j
public class CacheConfiguration {


  @Resource
  private SysDatashareServiceNewService datashareServiceNewService;

  @Bean
  public void initDataShareServiceAuthInfo() {
    datashareServiceNewService.initCacheAuthService();
    log.info("初始化的接口限制结束");
  }
}
