package com.shanghaichengdi.ghjgitem.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName BOAT_WATER_POLLUTANT_ACCEPT_F
 */
@TableName(value ="BOAT_WATER_POLLUTANT_ACCEPT_F")
@Data
public class BoatWaterPollutantAcceptF implements Serializable {
    /**
     * 排放船
     */
    @TableField(value = "SHIP_NAME")
    private String shipName;

    /**
     * 开始时间
     */
    @TableField(value = "START_TIME")
    private String startTime;

    /**
     * 数据来源
     */
    @TableField(value = "SYSID")
    private String sysid;

    /**
     * 编号
     */
    @TableField(value = "ENT_RECEVIE_ID")
    private String entRecevieId;

    /**
     * 申请单号
     */
    @TableField(value = "ENT_APPLY_NO")
    private String entApplyNo;

    /**
     * 接收人
     */
    @TableField(value = "FIRST_USER")
    private String firstUser;

    /**
     * 船舶类型0为船舶1为车
     */
    @TableField(value = "SHIP_TYPE")
    private String shipType;

    /**
     * 接收数量
     */
    @TableField(value = "RECEIVE_NUM")
    private String receiveNum;

    /**
     * 船舶编号
     */
    @TableField(value = "SHIP_ID")
    private String shipId;

    /**
     * 计量单位
     */
    @TableField(value = "UNIT")
    private String unit;

    /**
     * 接收船舶编号
     */
    @TableField(value = "RECEIVE_SHIP_ID")
    private String receiveShipId;

    /**
     * 接受方式
     */
    @TableField(value = "RECEIVE_TYPE")
    private String receiveType;

    /**
     * 接受车船确认结束时间
     */
    @TableField(value = "END_TIME")
    private String endTime;

    /**
     * 创建时间
     */
    @TableField(value = "FIRST_DTM")
    private Date firstDtm;

    /**
     * 作业方式
     */
    @TableField(value = "MODEL_OF_OPERATION")
    private String modelOfOperation;

    /**
     * 污染物类型
     */
    @TableField(value = "SEWAGE_TYPE")
    private String sewageType;

    /**
     * 之前作业方式
     */
    @TableField(value = "MODE_OF_OPERATION_OLD")
    private String modeOfOperationOld;

    /**
     * 作业地点ID
     */
    @TableField(value = "ECG_NO")
    private String ecgNo;

    /**
     * 主键
     */
    @TableField(value = "ENT_RECEVIE_NO")
    private String entRecevieNo;

    /**
     * 转运单主键
     */
    @TableField(value = "ENT_TRANSPORT_NO")
    private String entTransportNo;

    /**
     * 修改时间
     */
    @TableField(value = "LAST_DTM")
    private String lastDtm;

    /**
     * 修改人
     */
    @TableField(value = "LAST_USER")
    private String lastUser;

    /**
     * 接收状态
     */
    @TableField(value = "STATE")
    private String state;

    /**
     * 接收单位com_no公司主键
     */
    @TableField(value = "RECEVIE_COM")
    private String recevieCom;

    /**
     * 私有单证号
     */
    @TableField(value = "PRIVATE_CODE")
    private String privateCode;

    /**
     * 维度
     */
    @TableField(value = "LATITUDE")
    private String latitude;

    /**
     * 精度
     */
    @TableField(value = "LONGITUDE")
    private String longitude;

    /**
     * 状态
     */
    @TableField(value = "STATUS")
    private String status;

    /**
     * 接收人
     */
    @TableField(value = "REVEIVE_USER")
    private String reveiveUser;

    /**
     * 服务车船主键
     */
    @TableField(value = "BVS_NO")
    private String bvsNo;

    /**
     * 设备主键
     */
    @TableField(value = "BE_NO")
    private String beNo;

    /**
     * 照片
     */
    @TableField(value = "PICTURE")
    private String picture;

    /**
     * mmsi
     */
    @TableField(value = "MMSI")
    private String mmsi;

    /**
     * 申请单主键
     */
    @TableField(value = "ENT_APPLY_ID")
    private String entApplyId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BoatWaterPollutantAcceptF other = (BoatWaterPollutantAcceptF) that;
        return (this.getShipName() == null ? other.getShipName() == null : this.getShipName().equals(other.getShipName()))
            && (this.getStartTime() == null ? other.getStartTime() == null : this.getStartTime().equals(other.getStartTime()))
            && (this.getSysid() == null ? other.getSysid() == null : this.getSysid().equals(other.getSysid()))
            && (this.getEntRecevieId() == null ? other.getEntRecevieId() == null : this.getEntRecevieId().equals(other.getEntRecevieId()))
            && (this.getEntApplyNo() == null ? other.getEntApplyNo() == null : this.getEntApplyNo().equals(other.getEntApplyNo()))
            && (this.getFirstUser() == null ? other.getFirstUser() == null : this.getFirstUser().equals(other.getFirstUser()))
            && (this.getShipType() == null ? other.getShipType() == null : this.getShipType().equals(other.getShipType()))
            && (this.getReceiveNum() == null ? other.getReceiveNum() == null : this.getReceiveNum().equals(other.getReceiveNum()))
            && (this.getShipId() == null ? other.getShipId() == null : this.getShipId().equals(other.getShipId()))
            && (this.getUnit() == null ? other.getUnit() == null : this.getUnit().equals(other.getUnit()))
            && (this.getReceiveShipId() == null ? other.getReceiveShipId() == null : this.getReceiveShipId().equals(other.getReceiveShipId()))
            && (this.getReceiveType() == null ? other.getReceiveType() == null : this.getReceiveType().equals(other.getReceiveType()))
            && (this.getEndTime() == null ? other.getEndTime() == null : this.getEndTime().equals(other.getEndTime()))
            && (this.getFirstDtm() == null ? other.getFirstDtm() == null : this.getFirstDtm().equals(other.getFirstDtm()))
            && (this.getModelOfOperation() == null ? other.getModelOfOperation() == null : this.getModelOfOperation().equals(other.getModelOfOperation()))
            && (this.getSewageType() == null ? other.getSewageType() == null : this.getSewageType().equals(other.getSewageType()))
            && (this.getModeOfOperationOld() == null ? other.getModeOfOperationOld() == null : this.getModeOfOperationOld().equals(other.getModeOfOperationOld()))
            && (this.getEcgNo() == null ? other.getEcgNo() == null : this.getEcgNo().equals(other.getEcgNo()))
            && (this.getEntRecevieNo() == null ? other.getEntRecevieNo() == null : this.getEntRecevieNo().equals(other.getEntRecevieNo()))
            && (this.getEntTransportNo() == null ? other.getEntTransportNo() == null : this.getEntTransportNo().equals(other.getEntTransportNo()))
            && (this.getLastDtm() == null ? other.getLastDtm() == null : this.getLastDtm().equals(other.getLastDtm()))
            && (this.getLastUser() == null ? other.getLastUser() == null : this.getLastUser().equals(other.getLastUser()))
            && (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState()))
            && (this.getRecevieCom() == null ? other.getRecevieCom() == null : this.getRecevieCom().equals(other.getRecevieCom()))
            && (this.getPrivateCode() == null ? other.getPrivateCode() == null : this.getPrivateCode().equals(other.getPrivateCode()))
            && (this.getLatitude() == null ? other.getLatitude() == null : this.getLatitude().equals(other.getLatitude()))
            && (this.getLongitude() == null ? other.getLongitude() == null : this.getLongitude().equals(other.getLongitude()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getReveiveUser() == null ? other.getReveiveUser() == null : this.getReveiveUser().equals(other.getReveiveUser()))
            && (this.getBvsNo() == null ? other.getBvsNo() == null : this.getBvsNo().equals(other.getBvsNo()))
            && (this.getBeNo() == null ? other.getBeNo() == null : this.getBeNo().equals(other.getBeNo()))
            && (this.getPicture() == null ? other.getPicture() == null : this.getPicture().equals(other.getPicture()))
            && (this.getMmsi() == null ? other.getMmsi() == null : this.getMmsi().equals(other.getMmsi()))
            && (this.getEntApplyId() == null ? other.getEntApplyId() == null : this.getEntApplyId().equals(other.getEntApplyId()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getShipName() == null) ? 0 : getShipName().hashCode());
        result = prime * result + ((getStartTime() == null) ? 0 : getStartTime().hashCode());
        result = prime * result + ((getSysid() == null) ? 0 : getSysid().hashCode());
        result = prime * result + ((getEntRecevieId() == null) ? 0 : getEntRecevieId().hashCode());
        result = prime * result + ((getEntApplyNo() == null) ? 0 : getEntApplyNo().hashCode());
        result = prime * result + ((getFirstUser() == null) ? 0 : getFirstUser().hashCode());
        result = prime * result + ((getShipType() == null) ? 0 : getShipType().hashCode());
        result = prime * result + ((getReceiveNum() == null) ? 0 : getReceiveNum().hashCode());
        result = prime * result + ((getShipId() == null) ? 0 : getShipId().hashCode());
        result = prime * result + ((getUnit() == null) ? 0 : getUnit().hashCode());
        result = prime * result + ((getReceiveShipId() == null) ? 0 : getReceiveShipId().hashCode());
        result = prime * result + ((getReceiveType() == null) ? 0 : getReceiveType().hashCode());
        result = prime * result + ((getEndTime() == null) ? 0 : getEndTime().hashCode());
        result = prime * result + ((getFirstDtm() == null) ? 0 : getFirstDtm().hashCode());
        result = prime * result + ((getModelOfOperation() == null) ? 0 : getModelOfOperation().hashCode());
        result = prime * result + ((getSewageType() == null) ? 0 : getSewageType().hashCode());
        result = prime * result + ((getModeOfOperationOld() == null) ? 0 : getModeOfOperationOld().hashCode());
        result = prime * result + ((getEcgNo() == null) ? 0 : getEcgNo().hashCode());
        result = prime * result + ((getEntRecevieNo() == null) ? 0 : getEntRecevieNo().hashCode());
        result = prime * result + ((getEntTransportNo() == null) ? 0 : getEntTransportNo().hashCode());
        result = prime * result + ((getLastDtm() == null) ? 0 : getLastDtm().hashCode());
        result = prime * result + ((getLastUser() == null) ? 0 : getLastUser().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getRecevieCom() == null) ? 0 : getRecevieCom().hashCode());
        result = prime * result + ((getPrivateCode() == null) ? 0 : getPrivateCode().hashCode());
        result = prime * result + ((getLatitude() == null) ? 0 : getLatitude().hashCode());
        result = prime * result + ((getLongitude() == null) ? 0 : getLongitude().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getReveiveUser() == null) ? 0 : getReveiveUser().hashCode());
        result = prime * result + ((getBvsNo() == null) ? 0 : getBvsNo().hashCode());
        result = prime * result + ((getBeNo() == null) ? 0 : getBeNo().hashCode());
        result = prime * result + ((getPicture() == null) ? 0 : getPicture().hashCode());
        result = prime * result + ((getMmsi() == null) ? 0 : getMmsi().hashCode());
        result = prime * result + ((getEntApplyId() == null) ? 0 : getEntApplyId().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", shipName=").append(shipName);
        sb.append(", startTime=").append(startTime);
        sb.append(", sysid=").append(sysid);
        sb.append(", entRecevieId=").append(entRecevieId);
        sb.append(", entApplyNo=").append(entApplyNo);
        sb.append(", firstUser=").append(firstUser);
        sb.append(", shipType=").append(shipType);
        sb.append(", receiveNum=").append(receiveNum);
        sb.append(", shipId=").append(shipId);
        sb.append(", unit=").append(unit);
        sb.append(", receiveShipId=").append(receiveShipId);
        sb.append(", receiveType=").append(receiveType);
        sb.append(", endTime=").append(endTime);
        sb.append(", firstDtm=").append(firstDtm);
        sb.append(", modelOfOperation=").append(modelOfOperation);
        sb.append(", sewageType=").append(sewageType);
        sb.append(", modeOfOperationOld=").append(modeOfOperationOld);
        sb.append(", ecgNo=").append(ecgNo);
        sb.append(", entRecevieNo=").append(entRecevieNo);
        sb.append(", entTransportNo=").append(entTransportNo);
        sb.append(", lastDtm=").append(lastDtm);
        sb.append(", lastUser=").append(lastUser);
        sb.append(", state=").append(state);
        sb.append(", recevieCom=").append(recevieCom);
        sb.append(", privateCode=").append(privateCode);
        sb.append(", latitude=").append(latitude);
        sb.append(", longitude=").append(longitude);
        sb.append(", status=").append(status);
        sb.append(", reveiveUser=").append(reveiveUser);
        sb.append(", bvsNo=").append(bvsNo);
        sb.append(", beNo=").append(beNo);
        sb.append(", picture=").append(picture);
        sb.append(", mmsi=").append(mmsi);
        sb.append(", entApplyId=").append(entApplyId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}