package com.shanghaichengdi.ghjgitem.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 行业数据中心内河危险品申报
 * @TableName HY_DANGER_PRE_DECLARE_NH
 */
@TableName(value ="ghjg_port_manage.HY_DANGER_PRE_DECLARE_NH")
@Data
public class HyDangerPreDeclareNh implements Serializable {
    /**
     * 
     */
    @TableField(value = "ID")
    private String id;

    /**
     * 
     */
    @TableField(value = "MAKER")
    private String maker;

    /**
     * 
     */
    @TableField(value = "MAKE_DATE")
    private Date makeDate;

    /**
     * 
     */
    @TableField(value = "MAKE_PROJECT")
    private String makeProject;

    /**
     * 
     */
    @TableField(value = "CONNECTS")
    private String connects;

    /**
     * 
     */
    @TableField(value = "CONNECT_NO")
    private String connectNo;

    /**
     * 
     */
    @TableField(value = "EXPLANATIONS")
    private String explanations;

    /**
     * 
     */
    @TableField(value = "DECLARE_CODE")
    private String declareCode;

    /**
     * 
     */
    @TableField(value = "UNIT_CODE")
    private String unitCode;

    /**
     * 
     */
    @TableField(value = "CONSIGNER")
    private String consigner;

    /**
     * 
     */
    @TableField(value = "SHIP_NAME")
    private String shipName;

    /**
     * 
     */
    @TableField(value = "VOYAGE_NUMBER_CODE")
    private String voyageNumberCode;

    /**
     * 
     */
    @TableField(value = "ADDRESS")
    private String address;

    /**
     * 
     */
    @TableField(value = "FROM_PORT_CODE")
    private String fromPortCode;

    /**
     * 
     */
    @TableField(value = "TO_PORT_CODE")
    private String toPortCode;

    /**
     * 
     */
    @TableField(value = "PRE_START_DATE")
    private Date preStartDate;

    /**
     * 
     */
    @TableField(value = "PRE_END_DATE")
    private Date preEndDate;

    /**
     * 
     */
    @TableField(value = "PACK_CODE")
    private String packCode;

    /**
     * 
     */
    @TableField(value = "HANDLE_MODE")
    private String handleMode;

    /**
     * 
     */
    @TableField(value = "ADD_INFO")
    private String addInfo;

    /**
     * 
     */
    @TableField(value = "EMERGENCY_CODE")
    private String emergencyCode;

    /**
     * 
     */
    @TableField(value = "DECLARE_UNIT")
    private String declareUnit;

    /**
     * 
     */
    @TableField(value = "DECLARE_DATE")
    private Date declareDate;

    /**
     * 
     */
    @TableField(value = "EMERGENCY_LINK_TEL_NO")
    private String emergencyLinkTelNo;

    /**
     * 
     */
    @TableField(value = "CHECK_UNIT_CODE")
    private String checkUnitCode;

    /**
     * 
     */
    @TableField(value = "CHECKER")
    private String checker;

    /**
     * 
     */
    @TableField(value = "CHECKER_FLAG")
    private String checkerFlag;

    /**
     * 
     */
    @TableField(value = "CHECK_DATE")
    private Date checkDate;

    /**
     * 
     */
    @TableField(value = "REVOKER")
    private String revoker;

    /**
     * 
     */
    @TableField(value = "REVOKER_DATE")
    private Date revokerDate;

    /**
     * 
     */
    @TableField(value = "DECLARER")
    private String declarer;

    /**
     * 
     */
    @TableField(value = "TRANSPORT_TYPE")
    private String transportType;

    /**
     * 
     */
    @TableField(value = "TRANSPORT_DESC")
    private String transportDesc;

    /**
     * 
     */
    @TableField(value = "STATE")
    private String state;

    /**
     * 
     */
    @TableField(value = "ADDOPERATION")
    private String addoperation;

    /**
     * 
     */
    @TableField(value = "ADDTIME")
    private Date addtime;

    /**
     * 
     */
    @TableField(value = "UPDATEOPERATION")
    private String updateoperation;

    /**
     * 
     */
    @TableField(value = "UPDATETIME")
    private Date updatetime;

    /**
     * 
     */
    @TableField(value = "ISREMOVE")
    private String isremove;

    /**
     * 
     */
    @TableField(value = "DECLARE_TYPE")
    private String declareType;

    /**
     * 
     */
    @TableField(value = "APPROVAL_NUMBER")
    private String approvalNumber;

    /**
     * 
     */
    @TableField(value = "PRERECORD_NO")
    private String prerecordNo;

    /**
     * 
     */
    @TableField(value = "UNLOCKER")
    private String unlocker;

    /**
     * 
     */
    @TableField(value = "UNLOCK_TIME")
    private Date unlockTime;

    /**
     * 
     */
    @TableField(value = "PID")
    private String pid;

    /**
     * 
     */
    @TableField(value = "VERSION")
    private Long version;

    /**
     * 
     */
    @TableField(value = "ITEM_ID")
    private String itemId;

    /**
     * 
     */
    @TableField(value = "CHECK_OPTION")
    private String checkOption;

    /**
     * 
     */
    @TableField(value = "IS_SPOT_CHECK")
    private Long isSpotCheck;

    /**
     * 
     */
    @TableField(value = "DECLARE_TOTAL_TON")
    private String declareTotalTon;

    /**
     * 
     */
    @TableField(value = "DECLARE_TOTAL_TEU")
    private String declareTotalTeu;

    /**
     * 
     */
    @TableField(value = "DECLARE_TOTAL_PIECE")
    private String declareTotalPiece;

    /**
     * 
     */
    @TableField(value = "IS_MUST_CHECK")
    private Long isMustCheck;

    /**
     * 
     */
    @TableField(value = "DECLARE_TON_ACTUAL")
    private Integer declareTonActual;

    /**
     * 
     */
    @TableField(value = "DECLARE_TEU_ACTUAL")
    private BigDecimal declareTeuActual;

    /**
     * 
     */
    @TableField(value = "DECLARE_PIECE_ACTUAL")
    private Integer declarePieceActual;

    /**
     * 
     */
    @TableField(value = "CANCEL_REASON")
    private String cancelReason;

    /**
     * 
     */
    @TableField(value = "MAKER_ID")
    private String makerId;

    /**
     * 
     */
    @TableField(value = "DECLARE_UNIT_CODE")
    private String declareUnitCode;

    /**
     * 
     */
    @TableField(value = "IMPLEMENT_TIME")
    private Date implementTime;

    /**
     * 
     */
    @TableField(value = "FINISHED_TIME")
    private Date finishedTime;

    /**
     * 
     */
    @TableField(value = "SHIP_TON")
    private String shipTon;

    /**
     * 
     */
    @TableField(value = "AREA_CODE")
    private String areaCode;

    /**
     * 
     */
    @TableField(value = "DEPARTUREARRIVALPORT")
    private String departurearrivalport;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HyDangerPreDeclareNh other = (HyDangerPreDeclareNh) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getMaker() == null ? other.getMaker() == null : this.getMaker().equals(other.getMaker()))
            && (this.getMakeDate() == null ? other.getMakeDate() == null : this.getMakeDate().equals(other.getMakeDate()))
            && (this.getMakeProject() == null ? other.getMakeProject() == null : this.getMakeProject().equals(other.getMakeProject()))
            && (this.getConnects() == null ? other.getConnects() == null : this.getConnects().equals(other.getConnects()))
            && (this.getConnectNo() == null ? other.getConnectNo() == null : this.getConnectNo().equals(other.getConnectNo()))
            && (this.getExplanations() == null ? other.getExplanations() == null : this.getExplanations().equals(other.getExplanations()))
            && (this.getDeclareCode() == null ? other.getDeclareCode() == null : this.getDeclareCode().equals(other.getDeclareCode()))
            && (this.getUnitCode() == null ? other.getUnitCode() == null : this.getUnitCode().equals(other.getUnitCode()))
            && (this.getConsigner() == null ? other.getConsigner() == null : this.getConsigner().equals(other.getConsigner()))
            && (this.getShipName() == null ? other.getShipName() == null : this.getShipName().equals(other.getShipName()))
            && (this.getVoyageNumberCode() == null ? other.getVoyageNumberCode() == null : this.getVoyageNumberCode().equals(other.getVoyageNumberCode()))
            && (this.getAddress() == null ? other.getAddress() == null : this.getAddress().equals(other.getAddress()))
            && (this.getFromPortCode() == null ? other.getFromPortCode() == null : this.getFromPortCode().equals(other.getFromPortCode()))
            && (this.getToPortCode() == null ? other.getToPortCode() == null : this.getToPortCode().equals(other.getToPortCode()))
            && (this.getPreStartDate() == null ? other.getPreStartDate() == null : this.getPreStartDate().equals(other.getPreStartDate()))
            && (this.getPreEndDate() == null ? other.getPreEndDate() == null : this.getPreEndDate().equals(other.getPreEndDate()))
            && (this.getPackCode() == null ? other.getPackCode() == null : this.getPackCode().equals(other.getPackCode()))
            && (this.getHandleMode() == null ? other.getHandleMode() == null : this.getHandleMode().equals(other.getHandleMode()))
            && (this.getAddInfo() == null ? other.getAddInfo() == null : this.getAddInfo().equals(other.getAddInfo()))
            && (this.getEmergencyCode() == null ? other.getEmergencyCode() == null : this.getEmergencyCode().equals(other.getEmergencyCode()))
            && (this.getDeclareUnit() == null ? other.getDeclareUnit() == null : this.getDeclareUnit().equals(other.getDeclareUnit()))
            && (this.getDeclareDate() == null ? other.getDeclareDate() == null : this.getDeclareDate().equals(other.getDeclareDate()))
            && (this.getEmergencyLinkTelNo() == null ? other.getEmergencyLinkTelNo() == null : this.getEmergencyLinkTelNo().equals(other.getEmergencyLinkTelNo()))
            && (this.getCheckUnitCode() == null ? other.getCheckUnitCode() == null : this.getCheckUnitCode().equals(other.getCheckUnitCode()))
            && (this.getChecker() == null ? other.getChecker() == null : this.getChecker().equals(other.getChecker()))
            && (this.getCheckerFlag() == null ? other.getCheckerFlag() == null : this.getCheckerFlag().equals(other.getCheckerFlag()))
            && (this.getCheckDate() == null ? other.getCheckDate() == null : this.getCheckDate().equals(other.getCheckDate()))
            && (this.getRevoker() == null ? other.getRevoker() == null : this.getRevoker().equals(other.getRevoker()))
            && (this.getRevokerDate() == null ? other.getRevokerDate() == null : this.getRevokerDate().equals(other.getRevokerDate()))
            && (this.getDeclarer() == null ? other.getDeclarer() == null : this.getDeclarer().equals(other.getDeclarer()))
            && (this.getTransportType() == null ? other.getTransportType() == null : this.getTransportType().equals(other.getTransportType()))
            && (this.getTransportDesc() == null ? other.getTransportDesc() == null : this.getTransportDesc().equals(other.getTransportDesc()))
            && (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState()))
            && (this.getAddoperation() == null ? other.getAddoperation() == null : this.getAddoperation().equals(other.getAddoperation()))
            && (this.getAddtime() == null ? other.getAddtime() == null : this.getAddtime().equals(other.getAddtime()))
            && (this.getUpdateoperation() == null ? other.getUpdateoperation() == null : this.getUpdateoperation().equals(other.getUpdateoperation()))
            && (this.getUpdatetime() == null ? other.getUpdatetime() == null : this.getUpdatetime().equals(other.getUpdatetime()))
            && (this.getIsremove() == null ? other.getIsremove() == null : this.getIsremove().equals(other.getIsremove()))
            && (this.getDeclareType() == null ? other.getDeclareType() == null : this.getDeclareType().equals(other.getDeclareType()))
            && (this.getApprovalNumber() == null ? other.getApprovalNumber() == null : this.getApprovalNumber().equals(other.getApprovalNumber()))
            && (this.getPrerecordNo() == null ? other.getPrerecordNo() == null : this.getPrerecordNo().equals(other.getPrerecordNo()))
            && (this.getUnlocker() == null ? other.getUnlocker() == null : this.getUnlocker().equals(other.getUnlocker()))
            && (this.getUnlockTime() == null ? other.getUnlockTime() == null : this.getUnlockTime().equals(other.getUnlockTime()))
            && (this.getPid() == null ? other.getPid() == null : this.getPid().equals(other.getPid()))
            && (this.getVersion() == null ? other.getVersion() == null : this.getVersion().equals(other.getVersion()))
            && (this.getItemId() == null ? other.getItemId() == null : this.getItemId().equals(other.getItemId()))
            && (this.getCheckOption() == null ? other.getCheckOption() == null : this.getCheckOption().equals(other.getCheckOption()))
            && (this.getIsSpotCheck() == null ? other.getIsSpotCheck() == null : this.getIsSpotCheck().equals(other.getIsSpotCheck()))
            && (this.getDeclareTotalTon() == null ? other.getDeclareTotalTon() == null : this.getDeclareTotalTon().equals(other.getDeclareTotalTon()))
            && (this.getDeclareTotalTeu() == null ? other.getDeclareTotalTeu() == null : this.getDeclareTotalTeu().equals(other.getDeclareTotalTeu()))
            && (this.getDeclareTotalPiece() == null ? other.getDeclareTotalPiece() == null : this.getDeclareTotalPiece().equals(other.getDeclareTotalPiece()))
            && (this.getIsMustCheck() == null ? other.getIsMustCheck() == null : this.getIsMustCheck().equals(other.getIsMustCheck()))
            && (this.getDeclareTonActual() == null ? other.getDeclareTonActual() == null : this.getDeclareTonActual().equals(other.getDeclareTonActual()))
            && (this.getDeclareTeuActual() == null ? other.getDeclareTeuActual() == null : this.getDeclareTeuActual().equals(other.getDeclareTeuActual()))
            && (this.getDeclarePieceActual() == null ? other.getDeclarePieceActual() == null : this.getDeclarePieceActual().equals(other.getDeclarePieceActual()))
            && (this.getCancelReason() == null ? other.getCancelReason() == null : this.getCancelReason().equals(other.getCancelReason()))
            && (this.getMakerId() == null ? other.getMakerId() == null : this.getMakerId().equals(other.getMakerId()))
            && (this.getDeclareUnitCode() == null ? other.getDeclareUnitCode() == null : this.getDeclareUnitCode().equals(other.getDeclareUnitCode()))
            && (this.getImplementTime() == null ? other.getImplementTime() == null : this.getImplementTime().equals(other.getImplementTime()))
            && (this.getFinishedTime() == null ? other.getFinishedTime() == null : this.getFinishedTime().equals(other.getFinishedTime()))
            && (this.getShipTon() == null ? other.getShipTon() == null : this.getShipTon().equals(other.getShipTon()))
            && (this.getAreaCode() == null ? other.getAreaCode() == null : this.getAreaCode().equals(other.getAreaCode()))
            && (this.getDeparturearrivalport() == null ? other.getDeparturearrivalport() == null : this.getDeparturearrivalport().equals(other.getDeparturearrivalport()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMaker() == null) ? 0 : getMaker().hashCode());
        result = prime * result + ((getMakeDate() == null) ? 0 : getMakeDate().hashCode());
        result = prime * result + ((getMakeProject() == null) ? 0 : getMakeProject().hashCode());
        result = prime * result + ((getConnects() == null) ? 0 : getConnects().hashCode());
        result = prime * result + ((getConnectNo() == null) ? 0 : getConnectNo().hashCode());
        result = prime * result + ((getExplanations() == null) ? 0 : getExplanations().hashCode());
        result = prime * result + ((getDeclareCode() == null) ? 0 : getDeclareCode().hashCode());
        result = prime * result + ((getUnitCode() == null) ? 0 : getUnitCode().hashCode());
        result = prime * result + ((getConsigner() == null) ? 0 : getConsigner().hashCode());
        result = prime * result + ((getShipName() == null) ? 0 : getShipName().hashCode());
        result = prime * result + ((getVoyageNumberCode() == null) ? 0 : getVoyageNumberCode().hashCode());
        result = prime * result + ((getAddress() == null) ? 0 : getAddress().hashCode());
        result = prime * result + ((getFromPortCode() == null) ? 0 : getFromPortCode().hashCode());
        result = prime * result + ((getToPortCode() == null) ? 0 : getToPortCode().hashCode());
        result = prime * result + ((getPreStartDate() == null) ? 0 : getPreStartDate().hashCode());
        result = prime * result + ((getPreEndDate() == null) ? 0 : getPreEndDate().hashCode());
        result = prime * result + ((getPackCode() == null) ? 0 : getPackCode().hashCode());
        result = prime * result + ((getHandleMode() == null) ? 0 : getHandleMode().hashCode());
        result = prime * result + ((getAddInfo() == null) ? 0 : getAddInfo().hashCode());
        result = prime * result + ((getEmergencyCode() == null) ? 0 : getEmergencyCode().hashCode());
        result = prime * result + ((getDeclareUnit() == null) ? 0 : getDeclareUnit().hashCode());
        result = prime * result + ((getDeclareDate() == null) ? 0 : getDeclareDate().hashCode());
        result = prime * result + ((getEmergencyLinkTelNo() == null) ? 0 : getEmergencyLinkTelNo().hashCode());
        result = prime * result + ((getCheckUnitCode() == null) ? 0 : getCheckUnitCode().hashCode());
        result = prime * result + ((getChecker() == null) ? 0 : getChecker().hashCode());
        result = prime * result + ((getCheckerFlag() == null) ? 0 : getCheckerFlag().hashCode());
        result = prime * result + ((getCheckDate() == null) ? 0 : getCheckDate().hashCode());
        result = prime * result + ((getRevoker() == null) ? 0 : getRevoker().hashCode());
        result = prime * result + ((getRevokerDate() == null) ? 0 : getRevokerDate().hashCode());
        result = prime * result + ((getDeclarer() == null) ? 0 : getDeclarer().hashCode());
        result = prime * result + ((getTransportType() == null) ? 0 : getTransportType().hashCode());
        result = prime * result + ((getTransportDesc() == null) ? 0 : getTransportDesc().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getAddoperation() == null) ? 0 : getAddoperation().hashCode());
        result = prime * result + ((getAddtime() == null) ? 0 : getAddtime().hashCode());
        result = prime * result + ((getUpdateoperation() == null) ? 0 : getUpdateoperation().hashCode());
        result = prime * result + ((getUpdatetime() == null) ? 0 : getUpdatetime().hashCode());
        result = prime * result + ((getIsremove() == null) ? 0 : getIsremove().hashCode());
        result = prime * result + ((getDeclareType() == null) ? 0 : getDeclareType().hashCode());
        result = prime * result + ((getApprovalNumber() == null) ? 0 : getApprovalNumber().hashCode());
        result = prime * result + ((getPrerecordNo() == null) ? 0 : getPrerecordNo().hashCode());
        result = prime * result + ((getUnlocker() == null) ? 0 : getUnlocker().hashCode());
        result = prime * result + ((getUnlockTime() == null) ? 0 : getUnlockTime().hashCode());
        result = prime * result + ((getPid() == null) ? 0 : getPid().hashCode());
        result = prime * result + ((getVersion() == null) ? 0 : getVersion().hashCode());
        result = prime * result + ((getItemId() == null) ? 0 : getItemId().hashCode());
        result = prime * result + ((getCheckOption() == null) ? 0 : getCheckOption().hashCode());
        result = prime * result + ((getIsSpotCheck() == null) ? 0 : getIsSpotCheck().hashCode());
        result = prime * result + ((getDeclareTotalTon() == null) ? 0 : getDeclareTotalTon().hashCode());
        result = prime * result + ((getDeclareTotalTeu() == null) ? 0 : getDeclareTotalTeu().hashCode());
        result = prime * result + ((getDeclareTotalPiece() == null) ? 0 : getDeclareTotalPiece().hashCode());
        result = prime * result + ((getIsMustCheck() == null) ? 0 : getIsMustCheck().hashCode());
        result = prime * result + ((getDeclareTonActual() == null) ? 0 : getDeclareTonActual().hashCode());
        result = prime * result + ((getDeclareTeuActual() == null) ? 0 : getDeclareTeuActual().hashCode());
        result = prime * result + ((getDeclarePieceActual() == null) ? 0 : getDeclarePieceActual().hashCode());
        result = prime * result + ((getCancelReason() == null) ? 0 : getCancelReason().hashCode());
        result = prime * result + ((getMakerId() == null) ? 0 : getMakerId().hashCode());
        result = prime * result + ((getDeclareUnitCode() == null) ? 0 : getDeclareUnitCode().hashCode());
        result = prime * result + ((getImplementTime() == null) ? 0 : getImplementTime().hashCode());
        result = prime * result + ((getFinishedTime() == null) ? 0 : getFinishedTime().hashCode());
        result = prime * result + ((getShipTon() == null) ? 0 : getShipTon().hashCode());
        result = prime * result + ((getAreaCode() == null) ? 0 : getAreaCode().hashCode());
        result = prime * result + ((getDeparturearrivalport() == null) ? 0 : getDeparturearrivalport().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", maker=").append(maker);
        sb.append(", makeDate=").append(makeDate);
        sb.append(", makeProject=").append(makeProject);
        sb.append(", connects=").append(connects);
        sb.append(", connectNo=").append(connectNo);
        sb.append(", explanations=").append(explanations);
        sb.append(", declareCode=").append(declareCode);
        sb.append(", unitCode=").append(unitCode);
        sb.append(", consigner=").append(consigner);
        sb.append(", shipName=").append(shipName);
        sb.append(", voyageNumberCode=").append(voyageNumberCode);
        sb.append(", address=").append(address);
        sb.append(", fromPortCode=").append(fromPortCode);
        sb.append(", toPortCode=").append(toPortCode);
        sb.append(", preStartDate=").append(preStartDate);
        sb.append(", preEndDate=").append(preEndDate);
        sb.append(", packCode=").append(packCode);
        sb.append(", handleMode=").append(handleMode);
        sb.append(", addInfo=").append(addInfo);
        sb.append(", emergencyCode=").append(emergencyCode);
        sb.append(", declareUnit=").append(declareUnit);
        sb.append(", declareDate=").append(declareDate);
        sb.append(", emergencyLinkTelNo=").append(emergencyLinkTelNo);
        sb.append(", checkUnitCode=").append(checkUnitCode);
        sb.append(", checker=").append(checker);
        sb.append(", checkerFlag=").append(checkerFlag);
        sb.append(", checkDate=").append(checkDate);
        sb.append(", revoker=").append(revoker);
        sb.append(", revokerDate=").append(revokerDate);
        sb.append(", declarer=").append(declarer);
        sb.append(", transportType=").append(transportType);
        sb.append(", transportDesc=").append(transportDesc);
        sb.append(", state=").append(state);
        sb.append(", addoperation=").append(addoperation);
        sb.append(", addtime=").append(addtime);
        sb.append(", updateoperation=").append(updateoperation);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", isremove=").append(isremove);
        sb.append(", declareType=").append(declareType);
        sb.append(", approvalNumber=").append(approvalNumber);
        sb.append(", prerecordNo=").append(prerecordNo);
        sb.append(", unlocker=").append(unlocker);
        sb.append(", unlockTime=").append(unlockTime);
        sb.append(", pid=").append(pid);
        sb.append(", version=").append(version);
        sb.append(", itemId=").append(itemId);
        sb.append(", checkOption=").append(checkOption);
        sb.append(", isSpotCheck=").append(isSpotCheck);
        sb.append(", declareTotalTon=").append(declareTotalTon);
        sb.append(", declareTotalTeu=").append(declareTotalTeu);
        sb.append(", declareTotalPiece=").append(declareTotalPiece);
        sb.append(", isMustCheck=").append(isMustCheck);
        sb.append(", declareTonActual=").append(declareTonActual);
        sb.append(", declareTeuActual=").append(declareTeuActual);
        sb.append(", declarePieceActual=").append(declarePieceActual);
        sb.append(", cancelReason=").append(cancelReason);
        sb.append(", makerId=").append(makerId);
        sb.append(", declareUnitCode=").append(declareUnitCode);
        sb.append(", implementTime=").append(implementTime);
        sb.append(", finishedTime=").append(finishedTime);
        sb.append(", shipTon=").append(shipTon);
        sb.append(", areaCode=").append(areaCode);
        sb.append(", departurearrivalport=").append(departurearrivalport);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}