package com.shanghaichengdi.ghjgitem.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shanghaichengdi.ghjgitem.domain.SysGroup;
import com.shanghaichengdi.ghjgitem.vo.SysGroupVo;
import com.shanghaichengdi.ghjgitem.vo.request.SysGroupReq;
import java.util.List;

/**
* @author 14390
* @description 针对表【SYS_GROUP(组织机构基础信息表（从综合业务平台同步的组织机构信息）)】的数据库操作Mapper
* @createDate 2024-06-06 09:37:46
* @Entity com.shanghaichengdi.ghjgitem.domain.SysGroup
*/
public interface SysGroupMapper extends BaseMapper<SysGroup> {

  List<SysGroupVo> selectGroupInfo(SysGroupReq sysGroup);
}




