package com.shanghaichengdi.ghjgitem.service;

import com.shanghaichengdi.ghjgitem.domain.BoatWaterPollutantAcceptF;
import com.baomidou.mybatisplus.extension.service.IService;
import com.shanghaichengdi.ghjgitem.domain.BoatWaterPollutantWarningS;
import com.shanghaichengdi.ghjgitem.vo.BoatReportVo;
import com.shanghaichengdi.ghjgitem.vo.PollutanWarningInfoVo;
import com.shanghaichengdi.ghjgitem.vo.PollutantAcceptVo;
import com.shanghaichengdi.ghjgitem.vo.request.BoatReportByWarningCodeVo;
import com.shanghaichengdi.ghjgitem.vo.request.PollutantBoatWaterReq;
import com.shanghaichengdi.ghjgitem.vo.request.PollutantWarningInfoReq;
import org.apache.ibatis.annotations.Param;

import java.text.ParseException;
import java.util.List;

/**
 * @author 14390
 * @description 针对表【BOAT_WATER_POLLUTANT_ACCEPT_F】的数据库操作Service
 * @createDate 2024-06-18 11:48:43
 */
public interface BoatWaterPollutantAcceptFService extends IService<BoatWaterPollutantAcceptF> {

  List<PollutantAcceptVo> selectBoatWaterList(PollutantBoatWaterReq pollutantBoatWaterReq,
      List<String> datesBetween) throws ParseException;

  List<PollutanWarningInfoVo> selectWarningInfoList(
      PollutantWarningInfoReq pollutantWarningInfoReq);

  List<PollutanWarningInfoVo> selectWarningHisInfoList(
      PollutantWarningInfoReq pollutantWarningInfoReq);

  List<PollutanWarningInfoVo> selectWarningInfoListByDate(
          PollutantWarningInfoReq pollutantWarningInfoReq);

  List<BoatWaterPollutantAcceptF> selectBoatWaterListSync(
      PollutantBoatWaterReq pollutantBoatWaterReq,
      List<String> datesBetween);

  List<BoatWaterPollutantWarningS> selectWarningInfoListSync(
      PollutantWarningInfoReq pollutantWarningInfoReq);

    List<BoatReportVo> selectBoatReportByWarningCode(BoatReportByWarningCodeVo boatReportByWarningCodeVo);
}
