package com.shanghaichengdi.ghjgitem.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import com.shanghaichengdi.ghjgitem.domain.ShorePowerConnRecordInfo;
import com.shanghaichengdi.ghjgitem.service.ShorePowerConnRecordInfoService;
import com.shanghaichengdi.ghjgitem.mapper.ShorePowerConnRecordInfoMapper;
import com.shanghaichengdi.ghjgitem.vo.SyncVo;
import java.util.Collections;
import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * @author 14390
 * @description 针对表【SHORE_POWER_CONN_RECORD_INFO(连船记录信息)】的数据库操作Service实现
 * @createDate 2024-06-25 10:06:43
 */
@Service
public class ShorePowerConnRecordInfoServiceImpl extends
    ServiceImpl<ShorePowerConnRecordInfoMapper, ShorePowerConnRecordInfo>
    implements ShorePowerConnRecordInfoService {

  @Resource
  private ShorePowerConnRecordInfoMapper mapper;

  @Override
  public List<ShorePowerConnRecordInfo> selectConnRecordInfoListSync(SyncVo syncVo) {
    PageHelper.startPage(syncVo.getPageIndex(), syncVo.getPageSize());
    return mapper.selectConnRecordInfoListSync(syncVo);
  }
}




