package com.shanghaichengdi.ghjgitem.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.shanghaichengdi.ghjgitem.domain.SysDatashareAuthNew;
import com.shanghaichengdi.ghjgitem.mapper.SysDatashareAuthNewMapper;
import com.shanghaichengdi.ghjgitem.service.SysDatashareAuthNewService;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * @author 14390
 * @description 针对表【SYS_DATASHARE_AUTH_NEW】的数据库操作Service实现
 * @createDate 2024-05-27 16:54:24
 */
@Service
public class SysDatashareAuthNewServiceImpl extends
    ServiceImpl<SysDatashareAuthNewMapper, SysDatashareAuthNew>
    implements SysDatashareAuthNewService {

  @Resource
  private SysDatashareAuthNewMapper mapper;

  @Override
  public SysDatashareAuthNew selectUserServiceRelevancy(String id, String serviceApi) {
    return mapper.selectUserServiceRelevancy(id, serviceApi);
  }
}




