package com.shanghaichengdi.ghjgitem.vo; /**
 * @author shrstart
 * @date 2021-04-13 - 16:52
 */

import lombok.Data;

/**
 * @program: ghjg-datashare
 * @description: 船舶AIS实时信息
 * @author: 欧永卿
 * @create: 2021-04-13 16:52DEVICEID
 **/
@Data
public class BoatAISVo {

    private String deviCeid;	//船舶识别号
    private String boatName;		//船舶中文名称
    private String boatNameEn;		//船舶英文名称
    private String shipLength;		//船舶长度
    private String shipBreadth;		//船舶宽度
    private String shipDepth;		//船舶深度
    private String shipTypeCode;    //船舶类型编号
    private String shipTypeName;    //船舶类型名称
    private Integer velocity;		//速度--公里/小时
    private Integer direction;		//方向--度，大于等于0度，小于360度
    private String gpsTime;		//GPS时间---yyyymmddhhmmss北京时间 24时制
    private double latitude;		//GPS纬度值
    private double longitude;		//GPS经度值
    private double mapx;		//GPS经度值
    private double mapy;		//GPS经度值

}
