package com.shanghaichengdi.ghjgitem.vo;

import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

@Data
public class HyDangerPreDeclareNhVo {
  // 表1主键
  private String id1;
  // 申请人,申报企业名称
  private String maker;
  // 申请时间
  private String makeDate;
  // 项目名称
  private String makeProject;
  // 联系人：企业紧急联系人
  private String connects;
  // 联系人电话：企业紧急联系人电话
  private String connectNo;
  // 事项说明
  private String explanations;
  // 申报单号
  private String declareCode;
  // 港口作业单位：散装时为申报单位，包装时页面下拉选择
  private String unitCode;
  // 作业委托人：申报企业名称
  private String consigner;
  // 船名
  private String shipName;
  // 航次
  private String voyageNumberCode;
  // 作业地点
  private String address;
  // 起运港
  private String fromPortCode;
  // 目的港
  private String toPortCode;
  // 开工时间
  private Date preStartDate;
  // 完工时间
  private Date preEndDate;
  // 包装件
  private String packCode;
  // 港口作业方式
  private String handleMode;
  // 申报单位
  private String declareUnit;
  // 申报日期
  private Date declareDate;
  // 紧急联系电话
  private String emergencyLinkTelNo;
  // 核准部门
  private String checkUnitCode;
  // 核准人
  private String checker;
  // 核准意见:0未审批 1核准同意 2核准不同意
  private String checkerFlag;
  // 核准时间
  private Date checkDate;
  // 撤单人
  private String revoker;
  // 撤单时间
  private Date revokerDate;
  // 申报员:申报企业信息表中的申报员字段
  private String declarer;
  // 货物运输形式类型：0：集装箱 1：包装件2：散装 3：中散 4：罐柜
  private String transportType;
  // 具体运输
  private String transportDesc;
  // 状态：0撤单  2正常
  private String state;
  // 表1是否删除
  private String isRemove1;
  // (只有内河)
  private String declareType;
  // 事项编号
  private String itemId;
  // 审核说明
  private String checkOption;
  // 审核说明
  private Long isSpotCheck;
  // 作业总量吨
  private String declareTotalTon;
  // 作业总量TEU
  private String declareTotalTeu;
  // 作业总量件
  private String declareTotalPiece;
  // 是否必检单0否1是
  private Long isMustCheck;
  // 实际作业量（吨）
  private Integer declareTonActual;
  // 实际作业量（TEU）
  private BigDecimal declareTeuActual;
  // 实际作业量（件）
  private Integer declarePieceActual;
  // 取消理由
  private String cancelReason;
  // 申报单位CODE
  private String declareUnitCode;
  // 执行时间
  private String implementTime;
  // 完工时间
  private String finishedTime;
  // 船舶吨位
  private String shipTon;
  // 提交港口管理机构
  private String areaCode;
  // 起运码头/到达码头
  private String departurearrivalport;

  // 表2主键
  private String id2;
  // 危险物申请ID
  private String declareId;
  // 货物名称编号
  private String cargoCode;
  // 货物名称
  private String cargoName;
  // 作业吨
  private String declareTon;
  // 作业TEU
  private String declareTeu;
  // 作业件
  private String declarePiece;
  // 包装类别
  private String packageType;
  // 危险类别
  private String dangerType;
  // 表2是否删除
  private String isRemove2;
  // 运输名称
  private String transportName;
  // 措施编号
  private String measuresNumber;
  // 序号（出口包装使用）货物序号
  private String orderNumber;
  // 是否是剧毒品(0否 1是)
  private String isRefPoisonGoods;
  // 箱号
  private String containerNo;
  // 提单号
  private String billNo;
  // 整拼
  private String fullBox;
  // 箱型
  private String cntType;
  // 尺寸
  private String cntSize;

  // 证照编号
  private String licensenumber;
  // 操作方式
  private String operatorWay;
  private String unitMeasure;
  // 危险货物集合名字
  private String dangerGroupName;
  // 货物名称
  private String dangerName;
  // 年限量
  private String yearLimitAmount;
  // 运输方式
  private String transWay;
  // 运输类型
  private String transShape;
  // 作业企业名称
  private String operatorLocationName;
  // 货物编码
  private String dangerCode;
  // 泊位
  private String bowei;

}
