package com.shanghaichengdi.ghjgitem.vo;

import lombok.Data;

/**
 * @program: ghjg-service
 * @description: 污染物排放异常预警信息
 * @author: 欧永卿
 * @create: 2021-05-28 16:04
 **/
@Data
public class PollutanWarningInfoVo {
    private String code; //预警编号
    private String boatName; //船舶名称
    private String mmsi; //mmsi
    private String shipId; //船舶标识号
    private String shipRegNo; //船舶登记号
    private String sanitary; //生活污水
    private String life; //生活垃圾
    private String greasy; //油污水
    private String warningTime; //预警时间
    private String type; //预警类型
    private String lasttime; //最近排放日期
    private String pollutanTcount;//排放数量
    private String totalDays; //累计超期天数
    private String berthName; //预警航次报港停靠泊位
    private String DistRict; //所属区
    private String nowStatus; //实时状态
    private String isread; //预警状态
    private String startTime; //开始时间
    private String reportCode; //申报单编号
    private String sendMsg;//是否发送短信
    private String relieveTime;//解除预警的时间
    private String relieveType;//列入历史预警原因
    private String ownerContactPhone;//船舶所有人联系电话
    private String supervisionType;//监管类型
    private String filterDes;//预警筛查备注
    private String filterTime;//预警筛查时间
    private String bidName;//申报人
    private String mobilePhone;//申报电话

}
