package com.shanghaichengdi.ghjgitem.mapper;

import com.shanghaichengdi.ghjgitem.domain.HyDangerPreDeclareNh;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shanghaichengdi.ghjgitem.vo.HyDangerPreDeclareNhVo;
import com.shanghaichengdi.ghjgitem.vo.PollutantAcceptVo;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
* @author 14390
* @description 针对表【HY_DANGER_PRE_DECLARE_NH(行业数据中心内河危险品申报)】的数据库操作Mapper
* @createDate 2024-07-09 13:35:39
* @Entity com.shanghaichengdi.ghjgitem.domain.HyDangerPreDeclareNh
*/
public interface HyDangerPreDeclareNhMapper extends BaseMapper<HyDangerPreDeclareNh> {

  List<HyDangerPreDeclareNhVo> selectDeclareGoodsList(@Param("areaCode") String areaCode);

  List<PollutantAcceptVo> selectOutRecordRecent(String shipName);
}




