package com.shanghaichengdi.ghjgitem.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shanghaichengdi.ghjgitem.domain.SysDatashareAuthNew;
import com.shanghaichengdi.ghjgitem.vo.FrequencyInfoVo;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * @author 14390
 * @description 针对表【SYS_DATASHARE_AUTH_NEW】的数据库操作Mapper
 * @createDate 2024-05-27 16:54:24
 * @Entity com.shanghaichengdi.ghjgitem.domain.SysDatashareAuthNew
 */
public interface SysDatashareAuthNewMapper extends BaseMapper<SysDatashareAuthNew> {

  SysDatashareAuthNew selectUserServiceRelevancy(@Param("id") String id,
      @Param("serviceApi") String serviceApi);

  List<FrequencyInfoVo> selectAllFrequencyInfo();

  List<FrequencyInfoVo> selectFrequencyInfoByClient(@Param("clientList") List<String> clientList);
}




