package com.shanghaichengdi.ghjgitem.mapper;

import com.shanghaichengdi.ghjgitem.domain.SysUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shanghaichengdi.ghjgitem.vo.SyInspectedManageUserVo;
import com.shanghaichengdi.ghjgitem.vo.request.SyInspectManageUserVo;
import com.shanghaichengdi.ghjgitem.vo.request.SysUserReq;
import com.shanghaichengdi.ghjgitem.vo.SysUserVo;
import java.util.List;

/**
 * @author 14390
 * @description 针对表【SYS_USER(用户基础信息表（从综合业务平台同步的用户信息）)】的数据库操作Mapper
 * @createDate 2024-05-28 10:16:45
 * @Entity com.shanghaichengdi.ghjgitem.domain.SysUser
 */
public interface SysUserMapper extends BaseMapper<SysUser> {

  List<SysUserVo> selectUserInfo(SysUserReq sysUser);

    List<SyInspectedManageUserVo> selectInspectedManagerUser(SyInspectManageUserVo syInspectManageUserVo);
}




