package com.shanghaichengdi.ghjgitem.service;

import com.shanghaichengdi.ghjgitem.domain.HyDangerPreDeclareNh;
import com.baomidou.mybatisplus.extension.service.IService;
import com.shanghaichengdi.ghjgitem.vo.HyDangerPreDeclareNhVo;
import com.shanghaichengdi.ghjgitem.vo.PollutantAcceptVo;
import com.shanghaichengdi.ghjgitem.vo.request.DangerDeclareGoodsReq;
import java.util.List;

/**
 * @author 14390
 * @description 针对表【HY_DANGER_PRE_DECLARE_NH(行业数据中心内河危险品申报)】的数据库操作Service
 * @createDate 2024-07-09 13:35:39
 */
public interface HyDangerPreDeclareNhService extends IService<HyDangerPreDeclareNh> {

  List<HyDangerPreDeclareNhVo> selectDeclareGoodsList(DangerDeclareGoodsReq params);

  List<PollutantAcceptVo> selectOutRecordRecent(String shipName);
}
