package com.shanghaichengdi.ghjgitem.service;

import com.shanghaichengdi.ghjgitem.domain.SysUser;
import com.baomidou.mybatisplus.extension.service.IService;
import com.shanghaichengdi.ghjgitem.vo.SyInspectedManageUserVo;
import com.shanghaichengdi.ghjgitem.vo.request.SyInspectManageUserVo;
import com.shanghaichengdi.ghjgitem.vo.request.SysUserReq;
import com.shanghaichengdi.ghjgitem.vo.SysUserVo;
import java.util.List;

/**
 * @author 14390
 * @description 针对表【SYS_USER(用户基础信息表（从综合业务平台同步的用户信息）)】的数据库操作Service
 * @createDate 2024-05-28 10:16:45
 */
public interface SysUserService extends IService<SysUser> {

  List<SysUserVo> selectUserInfo(SysUserReq sysUser);

  /**
   * 浦东查询从业人员信息
   * @param syInspectManageUserVo
   * @return
   */
    List<SyInspectedManageUserVo> selectInspectedManagerUser(SyInspectManageUserVo syInspectManageUserVo);
}
