package com.shanghaichengdi.ghjgitem.vo;

import lombok.Data;

/**
 * @ClassName: BoatReportInfo
 * @description: TODO
 * @author: sbj
 * @time: 2021/3/24 10:28
 * @Version: 1.0
 */
@Data
public class BoatReportInfoVo {

  /**
   * 报告主键
   */
  public String reportId;
  /**
   * 船舶识别号
   */
  public String shipId;
  /**
   * 报告编号
   */
  public String reportNo;
  /**
   * 机构代码
   */
  public String orgCode;
  /**
   * 港口名称
   */
  public String reportPortName;
  /**
   * 港口编号
   */
  public String reportPortCode;
  /**
   * 进出港类型
   */
  public String arrivalOrLeave;
  /**
   * 进港报告主键
   */
  public String arrivalReportId;
  /**
   * 下一港口名称
   */
  public String nextPortName;
  /**
   * 下一港口编号
   */
  public String nextPortCode;
  /**
   * 报告时间
   */
  public String reportTime;
  /**
   * 预抵/预离时间
   */
  public String expectTime;
  /**
   * 是否中途挂靠
   */
  public String ifAnchored;
  /**
   * 前吃水
   */
  public String draftForward;
  /**
   * 后吃水
   */
  public String aftDraft;
  /**
   * 停靠泊位代码
   */
  public String berthCode;
  /**
   * 停靠泊位
   */
  public String berthName;
  /**
   * 实载货量
   */
  public String actualCarryingCapacity;
  /**
   * 本港卸/装货量
   */
  public String portCargo;
  /**
   * 实载危险品货量
   */
  public String realDangerCargo;
  /**
   * 本港卸/装危险品货量
   */
  public String portDangerCargo;
  /**
   * 实载客量
   */
  public String actualCapacity;
  /**
   * 本港下/上客量
   */
  public String portPassenger;
  /**
   * 实载车量
   */
  public String realVehicle;
  /**
   * 本港卸/装车量
   */
  public String portVehicle;
  /**
   * 驳船数量
   */
  public String numOfBarge;
  /**
   * 本港解/加载驳船数量
   */
  public String portBarge;
  /**
   * 实载集装箱运量
   */
  public String realContainerQay;
  /**
   * 本港卸/装集装箱运量
   */
  public String portContainerQay;
  /**
   * 是否已撤销
   */
  public String ifRevoke;
  /**
   * 航次日报
   */
  public String voyageReport;
  /**
   * 航次数
   */
  public String frequency;
  /**
   * 航行区段
   */
  public String navigationSection;
  /**
   * 上一港口名称
   */
  public String prePortName;
  /**
   * 上一港口编号
   */
  public String prePortCode;

  /**
   * 船舶中文名称
   */
  public String shipName;

  /**
   * MMSI编号
   */
  public String mmsi;
  /**
   * 申报人
   */
  public String bidName;
  /**
   * 申报人电话
   */
  public String mobilePhone;

}
