package com.shanghaichengdi.ghjgitem.vo;

import lombok.Data;

/**
 * @program: ghjg-service
 * @description: 船舶污染物排放信息
 * @author: 欧永卿
 * @create: 2021-05-26 14:34
 **/
@Data
public class PollutantAcceptVo {
    private String couponnumber; //订单号
    private String shipid; //订单号
    private String position; //接收地点
    private String longitude; //经度
    private String latitude; //维度
    private String time; //接收时间
    private String boat; //船舶名称 中文
    private String customer;  //客户
    private String phone; //手机号
    private String pollutanttype; //污染物类型
    private String pollutantcount; //污染物数量
    private String shipowner; //船舶主人
    private String mmsi;  //mmsi
    private String shipFirstregNo;  //船舶初次登记号
    private String areaName;  //作业地点
    private String emissionsWay;
    private String model;
    private String receive;
    private String sourceType; // 数据来源
}
